mjlab.terrains
==============

.. automodule:: mjlab.terrains

.. rubric:: Classes

.. hlist::
  :columns: 3

  - :class:`TerrainEntity`
  - :class:`TerrainEntityCfg`
  - :class:`TerrainGenerator`
  - :class:`TerrainGeneratorCfg`
  - :class:`SubTerrainCfg`
  - :class:`FlatPatchSamplingCfg`
  - :class:`HfDiscreteObstaclesTerrainCfg`
  - :class:`HfPerlinNoiseTerrainCfg`
  - :class:`HfPyramidSlopedTerrainCfg`
  - :class:`HfRandomUniformTerrainCfg`
  - :class:`HfWaveTerrainCfg`
  - :class:`BoxFlatTerrainCfg`
  - :class:`BoxInvertedPyramidStairsTerrainCfg`
  - :class:`BoxNarrowBeamsTerrainCfg`
  - :class:`BoxNestedRingsTerrainCfg`
  - :class:`BoxOpenStairsTerrainCfg`
  - :class:`BoxPyramidStairsTerrainCfg`
  - :class:`BoxRandomGridTerrainCfg`
  - :class:`BoxRandomSpreadTerrainCfg`
  - :class:`BoxRandomStairsTerrainCfg`
  - :class:`BoxSteppingStonesTerrainCfg`
  - :class:`BoxTiltedGridTerrainCfg`

Core
----

.. autoclass:: TerrainEntity
  :members:
  :show-inheritance:

.. autoclass:: TerrainEntityCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: TerrainGenerator
  :members:

.. autoclass:: TerrainGeneratorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: SubTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: FlatPatchSamplingCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

Heightfield Terrains
--------------------

.. autoclass:: HfDiscreteObstaclesTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: HfPerlinNoiseTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: HfRandomUniformTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: HfPyramidSlopedTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: HfWaveTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

Primitive (Box) Terrains
------------------------

.. autoclass:: BoxFlatTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: BoxInvertedPyramidStairsTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: BoxNarrowBeamsTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: BoxNestedRingsTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: BoxOpenStairsTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: BoxPyramidStairsTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: BoxRandomGridTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: BoxRandomSpreadTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: BoxRandomStairsTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: BoxSteppingStonesTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:

.. autoclass:: BoxTiltedGridTerrainCfg
  :members:
  :exclude-members: __init__
  :undoc-members:
  :show-inheritance:
